import { z } from "zod";

export const schema = z.object({
    _id: z.string(),
    uuid: z.string(),
    firstName: z.string().nullable().optional(),
    surname: z.string().nullable().optional(),
    middleName: z.string().nullable().optional(),
    sexCode: z.string().nullable().optional(),
    personRef: z.string().nullable().optional(),
    personTag: z.string().nullable().optional(),
    fatherName: z.string().nullable().optional(),
    motherName: z.string().nullable().optional(),
    countryCode: z.string().nullable().optional(),
    nationalIdentityId: z.string().nullable().optional(),
    birthPlace: z.string().nullable().optional(),
    birthDate: z.string().nullable().optional(),
    taxNo: z.string().nullable().optional(),
    birthname: z.string().nullable().optional(),
    expiryStarts: z.string().nullable().optional(),
    expiryEnds: z.string().nullable().optional(),
    createdAt: z.string().nullable().optional(),
    updatedAt: z.string().nullable().optional(),
});


export type schemaType = z.infer<typeof schema>;